# GAMEPLAY

```
void TERMINATE_ALL_SCRIPTS_WITH_THIS_NAME(string scriptName)
void SET_FAKE_WANTED_LEVEL(int fakeWantedLevel)
bool IS_BIT_SET(int address, int offset)
void CANCEL_STUNT_JUMP()
bool IS_STUNT_JUMP_IN_PROGRESS()
void SET_STUNT_JUMPS_CAN_TRIGGER(bool toggle)
void SET_GRAVITY_LEVEL(int level)
void SET_PLAYER_IS_IN_ANIMAL_FORM(bool toggle)
bool GET_IS_PLAYER_IN_ANIMAL_FORM()
void SET_BIT(int address, int offset)
void CLEAR_BIT(int address, int offset)
bool IS_DLC_PRESENT(Hash dlcHash)
void SET_BLACKOUT(bool toggle)
int GET_GAME_STATE()
bool IS_GAME_STATE(int state)
float GET_GROUND_Z(float x, float y)
bool IS_ONSCREEN_KEYBOARD_ACTIVE()
Hash GET_HASH_KEY(string string)
void DISPLAY_ONSCREEN_KEYBOARD(string windowTitle, string defaultText, int maxInputLength)
int UPDATE_ONSCREEN_KEYBOARD()
string GET_ONSCREEN_KEYBOARD_RESULT()
void SET_OVERRIDE_WEATHER(string weatherType)
void CLEAR_OVERRIDE_WEATHER()
void SET_MOBILE_RADIO(bool toggle)
void CLEAR_AREA_OF_VEHICLES(float x, float y, float z, float radius, bool p4, bool p5, bool p6, bool p7, bool p8, bool p9)
void CLEAR_AREA_OF_OBJECTS(float x, float y, float z, float radius, int flags)
void CLEAR_AREA_OF_PEDS(float x, float y, float z, float radius, int flags)
void CLEAR_AREA_OF_COPS(float x, float y, float z, float radius, int flags)
void CLEAR_AREA_OF_PROJECTILES(float x, float y, float z, float radius, int flags)
void _SET_CLOUD_HAT_OPACITY(float opacity)
float _GET_CLOUD_HAT_OPACITY()
void PRELOAD_CLOUD_HAT(string name)
void _CLEAR_CLOUD_HAT()
void LOAD_CLOUD_HAT(string name, float transitionTime)
void UNLOAD_CLOUD_HAT(string name, float p1)
float GET_FRAME_TIME()
int GET_FRAME_COUNT()
void SHOOT_SINGLE_BULLET_BETWEEN_COORDS(float x1, float y1, float z1, float x2, float y2, float z2, int damage, bool p7, Hash weaponHash, Ped ownerPed, bool isAudible, bool isInvisible, float speed)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/gameplay.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
